From 9684efb7709c1be23c99f555f61b5a3ad15b0675 Mon Sep 17 00:00:00 2001
From: Diederik de Groot <dkgroot@talon.nl>
Date: Thu, 16 May 2019 17:48:55 +0200
Subject: [PATCH] Add support for new asterisk mwi.h header file

---
 autoconf/asterisk.m4 |  6 ++++++
 configure            | 13 +++++++++++++
 src/config.h.in      |  3 +++
 src/sccp_mwi.c       |  4 ++++
 4 files changed, 26 insertions(+)

--- a/autoconf/asterisk.m4
+++ b/autoconf/asterisk.m4
@@ -1112,6 +1112,12 @@ dnl 	CFLAGS="${CFLAGS_saved} -Werror=imp
 		],,[ 
 			$HEADER_INCLUDE
 		])
+		AC_CHECK_HEADER([asterisk/mwi.h],
+		[
+			AC_DEFINE([HAVE_PBX_MWI_H],1,[Found 'asterisk/mwi.h'])
+		],,[ 
+			$HEADER_INCLUDE
+		])
 		AC_CHECK_HEADER([asterisk/utils.h],
 		[
 			AC_DEFINE([HAVE_PBX_UTILS_H],1,[Found 'asterisk/utils.h'])
--- a/configure
+++ b/configure
@@ -28793,6 +28793,19 @@ $as_echo "#define HAVE_PBX_MESSAGE_H 1"
 fi
 
 
+		ac_fn_c_check_header_compile "$LINENO" "asterisk/mwi.h" "ac_cv_header_asterisk_mwi_h" "
+			$HEADER_INCLUDE
+
+"
+if test "x$ac_cv_header_asterisk_mwi_h" = xyes; then :
+
+
+$as_echo "#define HAVE_PBX_MWI_H 1" >>confdefs.h
+
+
+fi
+
+
 		ac_fn_c_check_header_compile "$LINENO" "asterisk/utils.h" "ac_cv_header_asterisk_utils_h" "
 			$HEADER_INCLUDE
 
--- a/src/config.h.in
+++ b/src/config.h.in
@@ -571,6 +571,9 @@
 /* Found 'asterisk/message.h' */
 #undef HAVE_PBX_MESSAGE_H
 
+/* Found 'asterisk/mwi.h' */
+#undef HAVE_PBX_MWI_H
+
 /* Found 'asterisk/pbx.h' */
 #undef HAVE_PBX_PBX_H
 
--- a/src/sccp_mwi.c
+++ b/src/sccp_mwi.c
@@ -25,9 +25,13 @@ SCCP_FILE_VERSION(__FILE__, "");
 #elif HAVE_PBX_STASIS_H
 #include <asterisk/stasis.h>
 #endif
+#ifdef HAVE_PBX_MWI_H				// ast_mwi_state_type
+#include <asterisk/mwi.h>
+#else
 #ifdef HAVE_PBX_APP_H				// ast_mwi_state_type
 #include <asterisk/app.h>
 #endif
+#endif
 #include <asterisk/cli.h>
 
 pbx_mutex_t subscriptions_lock;
